---
layout: mockup
title: "Open With Dialog"
theme: Adwaita/Adwaita.css
permalink: open-with-dialog
---

<!-- Open With Dialog -->
<div class="gtkdialog-window message-dialog wide" style="top: 20%;">
	<!-- <div class="titlebar" title="Open With&hellip;">
		<a class="button text-button float-left">Cancel</a>
		<a class="button text-button suggested-action float-right">Open</a>
	</div> -->
	<div class="gtkdialog-content">
		<div class="row">
			<p>Choose an application to open the file "this-is-an-image-file.jpg".</p>
			<ul class="listrow scrollbox text-left" style="max-height: 224px !important;">
				<li class="selected">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.ImageViewer.svg">
					<label>Image Viewer</label>
				</li>
				<li class="">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gimp.GIMP.svg">
					<label>GNU Image Manipulation Program</label>
				</li>
				<li class="">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Photos.svg">
					<label>Photos</label>
				</li>
				<li class="viewMoreApplications">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Photos-next.svg">
					<label>GThumb</label>
				</li>
				<li class="viewMoreApplications">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Nautilus.svg">
					<label>Files</label>
				</li>
				<li class="viewMoreApplications">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.SimpleScan.svg">
					<label>Simple Scan</label>
				</li>
				<li class="viewMoreApplications">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Calculator.svg">
					<label>Calculator</label>
				</li>
				<li class="viewMoreApplications">
					<img class="icon s32 vector" src="{{ site.baseurl }}/img/icons/scalable/apps/org.gnome.Totem.svg">
					<label>Videos</label>
				</li>
			</ul>
			<!-- <a class="button image-text-button center text-center"><span>{%- include symbolic/apps/org.gnome.Software-symbolic.svg -%}</span>Find More in Software</a> -->
		</div>
		<a class="button text-button action-left" onclick="$('#connectToWifiDialog').hide();">Cancel</a>
		<a class="button text-button action-middle" onclick="$('#connectToWifiDialog').hide();">Always</a>
		<a class="button text-button action-right" onclick="$('#connectToWifiDialog').hide();">Just Once</a>
	</div>
</div>
<script type="text/javascript">
// $(document).ready(function() { $('.viewMoreApplications').hide(); });
</script>